Index: c/src/lib/libbsp/h8300/h8sim/ChangeLog
===================================================================
--- c/src/lib/libbsp/h8300/h8sim/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/h8300/h8sim/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/h8300/h8sim/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/h8300/h8sim/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/h8300/h8sim/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -29,6 +29,4 @@
 
 rtems_configuration_table  BSP_Configuration;
-
-rtems_cpu_table Cpu_table;
 
 char *rtems_progname;
@@ -84,6 +82,4 @@
   extern int WorkspaceBase;
 
-  Cpu_table.interrupt_stack_size = 4096;
-
 /*
   if ( BSP_Configuration.work_space_size >(512*1024) )
Index: c/src/lib/libbsp/m68k/av5282/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/av5282/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/m68k/av5282/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/av5282/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/av5282/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/m68k/av5282/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -33,5 +33,4 @@
 extern rtems_configuration_table Configuration;
 rtems_configuration_table  BSP_Configuration;
-rtems_cpu_table Cpu_table;
 char *rtems_progname;
 
@@ -188,9 +187,4 @@
 
   /*
-   *  initialize the CPU table for this BSP
-   */
-  Cpu_table.interrupt_stack_size = 4096;
-
-  /*
    * Invalidate the cache and disable it
    */
Index: c/src/lib/libbsp/m68k/mcf5235/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/m68k/mcf5235/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/mcf5235/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/m68k/mcf5235/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -33,7 +33,5 @@
 extern rtems_configuration_table Configuration;
 rtems_configuration_table  BSP_Configuration;
-rtems_cpu_table Cpu_table;
 char *rtems_progname;
-
 
 /*
@@ -181,9 +179,4 @@
 
   /*
-   *  initialize the CPU table for this BSP
-   */
-  Cpu_table.interrupt_stack_size = 4096;
-
-  /*
    * Invalidate the cache and disable it
    */
Index: c/src/lib/libbsp/m68k/sim68000/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/sim68000/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/m68k/sim68000/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -27,9 +27,5 @@
 
 extern rtems_configuration_table Configuration;
-
 rtems_configuration_table  BSP_Configuration;
-
-rtems_cpu_table Cpu_table;
-
 char *rtems_progname;
 
Index: c/src/lib/libbsp/mips/csb350/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/csb350/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/mips/csb350/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/mips/csb350/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/mips/csb350/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/mips/csb350/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -35,9 +35,5 @@
 
 extern rtems_configuration_table Configuration;
-
 rtems_configuration_table  BSP_Configuration;
-
-rtems_cpu_table Cpu_table;
-
 char *rtems_progname;
 
@@ -97,6 +93,4 @@
   unsigned int compare = 0; 
 
-  Cpu_table.interrupt_stack_size = 8192;
-
   /* Place RTEMS workspace at beginning of free memory. */
   BSP_Configuration.work_space_start = (void *)&_bss_free_start;
Index: c/src/lib/libbsp/mips/genmongoosev/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/mips/genmongoosev/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/mips/genmongoosev/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -32,9 +32,5 @@
 
 extern rtems_configuration_table Configuration;
-
 rtems_configuration_table  BSP_Configuration;
-
-rtems_cpu_table Cpu_table;
-
 char *rtems_progname;
 
@@ -87,6 +83,4 @@
    extern void mips_install_isr_entries();
    extern void mips_gdb_stub_install(void);
-
-   Cpu_table.interrupt_stack_size = 4096;
 
    /* HACK -- tied to value linkcmds */
Index: c/src/lib/libbsp/mips/jmr3904/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/mips/jmr3904/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/mips/jmr3904/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -27,9 +27,5 @@
 
 extern rtems_configuration_table Configuration;
-
 rtems_configuration_table  BSP_Configuration;
-
-rtems_cpu_table Cpu_table;
-
 char *rtems_progname;
 
@@ -82,6 +78,4 @@
   extern void mips_install_isr_entries(void);
 
-  Cpu_table.interrupt_stack_size = 4096;
-
   /* HACK -- tied to value linkcmds */
   if ( BSP_Configuration.work_space_size >(4096*1024) )
Index: c/src/lib/libbsp/mips/rbtx4925/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/rbtx4925/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/mips/rbtx4925/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/mips/rbtx4925/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/mips/rbtx4925/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/mips/rbtx4925/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -31,9 +31,5 @@
 
 extern rtems_configuration_table Configuration;
-
 rtems_configuration_table  BSP_Configuration;
-
-rtems_cpu_table Cpu_table;
-
 char *rtems_progname;
 
@@ -88,8 +84,4 @@
   extern void mips_install_isr_entries(void);
 
-  /* Configure Number of Register Caches */
-
-  Cpu_table.interrupt_stack_size = 4096;
-
   BSP_Configuration.work_space_start =
        (void *)((uint64_t)((&end) + LIBC_HEAP_SIZE + 0x100) & ~0x7);
Index: c/src/lib/libbsp/mips/rbtx4938/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/mips/rbtx4938/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/mips/rbtx4938/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/mips/rbtx4938/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -31,9 +31,5 @@
 
 extern rtems_configuration_table Configuration;
-
 rtems_configuration_table  BSP_Configuration;
-
-rtems_cpu_table Cpu_table;
-
 char *rtems_progname;
 
@@ -88,6 +84,4 @@
   extern void mips_install_isr_entries(void);
 
-  Cpu_table.interrupt_stack_size = 4096;
-
   BSP_Configuration.work_space_start =
        (void *)((uint64_t)((&end) + LIBC_HEAP_SIZE + 0x100) & ~0x7);
Index: c/src/lib/libbsp/powerpc/gen5200/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/powerpc/gen5200/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-04	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/gen5200/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/powerpc/gen5200/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -130,5 +130,4 @@
 extern unsigned long intrStackPtr;
 rtems_configuration_table  BSP_Configuration;
-rtems_cpu_table Cpu_table;
 char *rtems_progname;
 
@@ -288,11 +287,4 @@
   _write_SPRG0(PPC_BSP_HAS_FIXED_PR288);
 
-  /*
-   *  initialize the CPU table for this BSP
-   */
-
-  if( Cpu_table.interrupt_stack_size < 4*1024 )
-    Cpu_table.interrupt_stack_size = 4 * 1024;
-
  bsp_clicks_per_usec    = (IPB_CLOCK/1000000);
 
Index: c/src/lib/libbsp/powerpc/gen83xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/powerpc/gen83xx/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-04	Thomas Doerfler <Thomas.Doerfler@embedded-brains.de>
 
Index: c/src/lib/libbsp/powerpc/gen83xx/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/powerpc/gen83xx/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -49,5 +49,4 @@
 rtems_configuration_table  BSP_Configuration;
 static char *BSP_heap_start, *BSP_heap_end;
-rtems_cpu_table Cpu_table;
 char *rtems_progname;
 
@@ -207,10 +206,6 @@
 
   /*
-   *  initialize the CPU table for this BSP
-   */
-
-  if( Cpu_table.interrupt_stack_size < 4*1024 )
-    Cpu_table.interrupt_stack_size = 4 * 1024;
-
+   *  initialize the device driver parameters
+   */
   bsp_clicks_per_usec        = (BSP_CSB_CLK_FRQ/1000000);
 
Index: c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/powerpc/mpc8260ads/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -70,7 +70,4 @@
 extern unsigned long intrStackPtr;
 rtems_configuration_table  BSP_Configuration;
-
-rtems_cpu_table Cpu_table;
-
 char *rtems_progname;
 
@@ -296,10 +293,6 @@
 
   /*
-   *  initialize the CPU table for this BSP
-   */
-
-  if( Cpu_table.interrupt_stack_size < 4*1024 )
-    Cpu_table.interrupt_stack_size   = 4 * 1024;
-
+   *  initialize the device driver parameters
+   */
   bsp_clicks_per_usec 	   = 10;  /* for 40MHz extclk */
   bsp_serial_per_sec  	   = 40000000;
Index: c/src/lib/libbsp/powerpc/ss555/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/ss555/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/powerpc/ss555/ChangeLog	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -1,2 +1,8 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/bspstart.c: Move interrupt_stack_size field from CPU Table to
+	Configuration Table. Eliminate CPU Table from all ports. Delete
+	references to CPU Table in all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/powerpc/ss555/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/ss555/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
+++ c/src/lib/libbsp/powerpc/ss555/startup/bspstart.c	(revision cafa2c5d0586ad7933e3fe543c7602a549ce692e)
@@ -49,7 +49,4 @@
 extern unsigned long intrStackPtr;
 rtems_configuration_table  BSP_Configuration;
-
-rtems_cpu_table Cpu_table;
-
 char *rtems_progname;
 
@@ -88,9 +85,4 @@
  *  Must not use libc (to do io) from here, since drivers are not yet
  *  initialized.
- *
- *  Installed in the rtems_cpu_table defined in
- *  rtems/c/src/exec/score/cpu/powerpc/rtems/new-exceptions/cpu.h by main()
- *  below.  Called from rtems_initialize_executive() defined in
- *  rtems/c/src/exec/sapi/src/init.c
  *
  *  Input parameters: NONE
@@ -186,9 +178,6 @@
 
   /*
-   *  initialize the CPU table for this BSP
+   *  initialize the device driver parameters
    */
-  if( Cpu_table.interrupt_stack_size < 4 * 1024 )
-      Cpu_table.interrupt_stack_size = 4 * 1024;
-
   bsp_clicks_per_usec = BSP_CRYSTAL_HZ / 4 / 1000000;
   bsp_clock_speed     = BSP_CLOCK_HZ;	/* for SCI baud rate generator */
